[Overview][Classes][Index] | Reference for unit 'streamex' (#fcl)

# TStreamHelper.ReadWordBE

Read a Word from the stream, big endian

## Declaration

Source position: streamex.pp line 69

`function TStreamHelper.ReadWordBE: Word;`

## Function result

The word value

## Description

ReadWordBE reads a word from the stream, big-endian (MSB first).

## Errors

If not enough data is available an EReadError exception is raised.

## See also

ReadDWordBE
ReadQWordBE
WriteWordBE

Documentation generated on: Feb 26 2014